> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Liquidity

> Remove liquidity from a DLMM pool



## OpenAPI

````yaml /openapi/meteora.json post /v0/dlmm/{dlmmPool}/remove-liquidity
openapi: 3.1.1
info:
  title: Meteora Blinks
  version: 0.0.1
servers:
  - url: https://meteora.dial.to/api
security: []
paths:
  /v0/dlmm/{dlmmPool}/remove-liquidity:
    post:
      tags:
        - DLMM
      summary: Remove Liquidity
      description: Remove liquidity from a DLMM pool
      operationId: meteora.v0.dlmm.removeLiquidityFromDlmm
      parameters:
        - name: dlmmPool
          in: path
          required: true
          schema:
            type: string
            description: DLMM pool address
            default: BGm1tav58oGcsQJehL9WXBFXF7D27vZsKefj4xJKD5Y
        - name: percentage
          in: query
          required: true
          style: deepObject
          explode: true
          schema:
            type: number
            minimum: 0
            maximum: 100
            description: The percentage of liquidity to remove (0-100)
            default: 10
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - transaction
                  default: transaction
                account:
                  type: string
                  description: The public key of the account that executes the transaction
                  default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
              required:
                - type
                - account
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    const: transaction
                  transaction:
                    type: string
                required:
                  - type
                  - transaction

````